> ## Documentation Index
> Fetch the complete documentation index at: https://kaoribot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Stonk Generator

> Generates a Stonk meme with the image of your choice. *Note: The API docs UI cannot preview binary image responses.*



## OpenAPI

````yaml openapi.json get /v1/generators/stonk
openapi: 3.1.0
info:
  title: KaoriBot API
  description: >-
    KaoriBot API. If you do face any issue, let us know on our [Discord
    server](https://discord.gg/)
  version: v1.4.0
servers:
  - url: https://api-kaori.mikabot.xyz
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Filters
    description: Image filtering operations (Blur, Invert, etc.)
  - name: Overlays
    description: Image overlay operations (Gay, Wanted, etc.)
  - name: Debug
    description: System health and debugging utility endpoints
  - name: Generators
    description: Meme generator operations (3000 years, etc.)
  - name: Texts
    description: Text operations (Questions, etc.)
  - name: Utils
    description: Utility endpoints
paths:
  /v1/generators/stonk:
    get:
      tags:
        - Generators
      summary: Stonk Generator
      description: >-
        Generates a Stonk meme with the image of your choice. *Note: The API
        docs UI cannot preview binary image responses.*
      operationId: stonk
      parameters:
        - name: image
          in: query
          required: true
          schema:
            description: The URL of the image to generate the Stonk meme
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            text/plain:
              schema:
                default: File
                type: string
                format: binary
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
        '422':
          description: Response for status 422
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                  - data
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                      properties:
                        path:
                          type: string
                        message:
                          type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_kaori_*'

````